Qt 5.9 | Qt 3D | C++ Classes | QInputSettings

Qt 5.9.3 Reference Documentation

# QInputSettings Class

(Qt3DInput::QInputSettings)

QInputSettings class holds the pointer to an input event source object. More...

Header: | #include <QInputSettings>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | InputSettings
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- eventSource : QObject *

- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QInputSettings(Qt3DCore::QNode *parent = nullptr)
| ~QInputSettings()
QObject * | eventSource() const

- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setEventSource(QObject *eventSource)

- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | eventSourceChanged(QObject *)

- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

QInputSettings class holds the pointer to an input event source object.

The QInputSettings component must be set as a component of the scene root entity. It stores a pointer to the object that acts as the source of input events to be handled by various input classes. For example, a QWindow instance can be an event source.

See also QMouseDevice and QKeyboardDevice.

## Property Documentation

### eventSource : QObject *

Holds the current event source. An event source is an object that is capable of receiving various input events, such as mouse or keyboard events. Typically it is a QWindow instance.

Access functions:

QObject * | eventSource() const
void | setEventSource(QObject *eventSource)

Notifier signal:

void | eventSourceChanged(QObject *)

## Member Function Documentation

### QInputSettings::QInputSettings(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QInputSettings.

### QInputSettings::~QInputSettings()

Destroys the instance of QInputSettings.